AclPermissionParam (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.web.resources, class: AclPermissionParam

Package org.apache.hadoop.hdfs.web.resources

# Class AclPermissionParam

java.lang.Object
org.apache.hadoop.hdfs.web.resources.Param<String,org.apache.hadoop.hdfs.web.resources.StringParam.Domain>
org.apache.hadoop.hdfs.web.resources.AclPermissionParam

public class AclPermissionParam extends Param<String,org.apache.hadoop.hdfs.web.resources.StringParam.Domain>
AclPermission parameter.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT`
  Default parameter value.
  `static final String`
  `NAME`
  Parameter name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AclPermissionParam(String str)`
  Constructor.
  `AclPermissionParam(List<org.apache.hadoop.fs.permission.AclEntry> acl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<org.apache.hadoop.fs.permission.AclEntry>`
  `getAclPermission(boolean includePermission)`
  `static org.apache.hadoop.hdfs.web.resources.StringParam.Domain`
  `getAclPermissionPattern()`
  `String`
  `getName()`
  `String`
  `getValueString()`
  `static void`
  `setAclPermissionPattern(String pattern)`
  `static void`
  `setAclPermissionPattern(org.apache.hadoop.hdfs.web.resources.StringParam.Domain dm)`

  ### Methods inherited from class org.apache.hadoop.hdfs.web.resources.Param

  `getValue, toSortedString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    Parameter name.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    public static final String DEFAULT
    Default parameter value.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AclPermissionParam

    public AclPermissionParam(String str)
    Constructor.
    Parameters:
      `str` - a string representation of the parameter value.

  - ### AclPermissionParam

    public AclPermissionParam(List<org.apache.hadoop.fs.permission.AclEntry> acl)

- ## Method Details

  - ### getAclPermissionPattern

    @VisibleForTesting public static org.apache.hadoop.hdfs.web.resources.StringParam.Domain getAclPermissionPattern()

  - ### setAclPermissionPattern

    @VisibleForTesting public static void setAclPermissionPattern(org.apache.hadoop.hdfs.web.resources.StringParam.Domain dm)

  - ### setAclPermissionPattern

    public static void setAclPermissionPattern(String pattern)

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `Param<String,org.apache.hadoop.hdfs.web.resources.StringParam.Domain>`
    Returns:
      the parameter name.

  - ### getAclPermission

    public List<org.apache.hadoop.fs.permission.AclEntry> getAclPermission(boolean includePermission)

  - ### getValueString

    public String getValueString()
    Specified by:
      `getValueString` in class `Param<String,org.apache.hadoop.hdfs.web.resources.StringParam.Domain>`
    Returns:
      the parameter value as a string